Links

Find a link by its domain and slug

GET
/v1/links/info

Authorization

apiKey
headerAuthorizationBearer <token>

Query Parameters

domain*string

The short link’s host, e.g. acme.inbo.to

slug*string

The part after the domain

Response Body

Response for status 200

application/json
  1. response
id*string
domain*string
slug*string
shortLink*string
url*string
title*string|null
description*string|null
ogImageUrl*string|null
folderId*string|null
tags*array<>
redirectType*number
passQuery*boolean
openInApp*boolean
openInBrowser*boolean
utm*|null
geoRules*array<>
deviceRules*array<>
expiresAt*|null
expiredUrl*string|null
abTest*|null
hasPassword*boolean
createdAt*string

ISO 8601 date-time

updatedAt*string

ISO 8601 date-time

curl -X GET 'https://api.tinbo.co/v1/links/info?domain=string&slug=string'
{  "id": "string",  "domain": "string",  "slug": "string",  "shortLink": "string",  "url": "string",  "title": "string",  "description": "string",  "ogImageUrl": "string",  "folderId": "string",  "tags": [    {      "id": "string",      "name": "string",      "color": "string"    }  ],  "redirectType": 0,  "passQuery": true,  "openInApp": true,  "openInBrowser": true,  "utm": {    "property1": "string",    "property2": "string"  },  "geoRules": [    {      "country": "string",      "url": "string"    }  ],  "deviceRules": [    {      "device": "string",      "url": "string"    }  ],  "expiresAt": "string",  "expiredUrl": "string",  "abTest": {    "variants": [      {        "url": "string",        "weight": 0      }    ],    "endsAt": "string"  },  "hasPassword": true,  "createdAt": "string",  "updatedAt": "string"}